Summary: A utility for getting files from remote servers (FTP, HTTP, and others).
Name: curl 
Version: 7.11.0
Release: 1.norlug
License: MPL
Group: Applications/Internet
Source: http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
Patch0: curl-7.9.5-nousr.patch
URL: http://curl.haxx.se/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel

%description
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. cURL is designed
to work without user interaction or any kind of interactivity. cURL
offers many useful capabilities, like proxy support, user
authentication, FTP upload, HTTP post, and file transfer resume.

%package devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Summary: Files needed for building applications with libcurl.

%description devel
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. The curl-devel
package includes files needed for developing applications which can
use cURL's capabilities internally.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
#%patch0 -p1

%build
%configure --with-ssl=/usr --enable-ipv6
%ifarch alpha
make CFLAGS=""
%else
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES LEGAL README* 
%doc docs/BUGS docs/CONTRIBUTE docs/examples docs/FAQ docs/FEATURES docs/INSTALL
%doc docs/INTERNALS docs/LIBCURL docs/MANUAL docs/RESOURCES
%doc docs/TheArtOfHttpScripting docs/TODO
%{_bindir}/curl
%{_libdir}/*.so.*
%{_mandir}/man1/curl.1*

%files devel
%defattr(-,root,root)
%{_bindir}/curl-config
%{_includedir}/curl
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man1/curl-config.1*
%{_mandir}/man3/*

%changelog
* Thu Jan 29 2004 Chip Cuccio <chipster@norlug.org> 7.11.0-1
- update to 7.11.0

* Mon Sep 8 2003 Chip Cuccio <chipster@norlug.org> 7.9.8-2
- spec cleanups
- default to glibc-2.2

* Wed Jul 23 2003 Chip Cuccio <chipster@norlug.org>
- built for RH 7.3 to satisfy custom php-4.3.2 RPM
  dependencies.
